import { defineStore } from "pinia";
import { ref } from "vue";

export const useStore = defineStore("signUpStore", {
    state: () => ({
        formData: {
            articleId: "",
            companyName: "",
            companyIntro: "",
            contactPerson: "",
            contactPhone: "",
            positionList: []
        }
    }),
    actions: {
        setFormDataKey(key, data) {
            this.formData[key] = data;
        }
    }
});
