import { defineStore } from "pinia";
import { ref } from "vue";

export const useDefineStore = defineStore("businessLicense", {
    state: () => ({
        formData: {
            name: "",
            creditCode: "",
            licensePath: "",
            licenseValidityPeriod: ""
        }
    }),
    actions: {
        setFormDataKey(key, data) {
            this.formData[key] = data;
        }
    }
});
